<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <groupId>net.northking.cctp</groupId>
    <artifactId>cctp-parent</artifactId>
    <version>1.0.1-RELEASE</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <artifactId>atu-script-case</artifactId>
  <packaging>jar</packaging>
  <properties>
    <!-- The main class to start by executing java -jar -->
    <start-class>net.northking.cctp.scriptcase.ScriptCaseApplication</start-class>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-antrun-plugin</artifactId>
      </plugin>

      <!--  maven plugin: code generator    -->
      <plugin>
        <groupId>net.northking.cctp</groupId>
        <artifactId>cctp-maven-plugin</artifactId>
        <configuration>
          <jdbcDriver>com.mysql.cj.jdbc.Driver</jdbcDriver>
          <jdbcUrl>jdbc:mysql://192.168.77.26:3306/atu_script_case?useUnicode=true&amp;characterEncoding=utf-8&amp;useSSL=false</jdbcUrl>
          <jdbcUsername>northking</jdbcUsername>
          <jdbcPassword>northking@002987</jdbcPassword>
          <database>atu_script_case</database>
          <schema>atu_script_case</schema>
          <tableNames>atu_input_set</tableNames>
          <basePackage>net.northking.cctp.scriptcase</basePackage>
        </configuration>
        <dependencies>
          <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql.version}</version>
          </dependency>
        </dependencies>
      </plugin>
    </plugins>
  </build>

  <dependencies>
    <dependency>
      <groupId>net.northking.cctp</groupId>
      <artifactId>cctp-commons</artifactId>
      <version>${cctp-commons.version}</version>
    </dependency>

    <!-- 服务注册管理集成 Nacos Discovery -->
    <dependency>
      <groupId>com.alibaba.cloud</groupId>
      <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
    </dependency>
    <!-- 配置管理服务集成 Nacos Config -->
    <dependency>
      <groupId>com.alibaba.cloud</groupId>
      <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-actuator</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-web</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.cloud</groupId>
      <artifactId>spring-cloud-starter-openfeign</artifactId>
    </dependency>

    <dependency>
      <groupId>com.github.pagehelper</groupId>
      <artifactId>pagehelper-spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
    </dependency>

    <dependency>
      <groupId>com.alibaba</groupId>
      <artifactId>fastjson</artifactId>
    </dependency>
    <dependency>
      <groupId>net.dongliu</groupId>
      <artifactId>apk-parser</artifactId>
      <version>2.6.10</version>
    </dependency>
    <dependency>
      <groupId>com.belerweb</groupId>
      <artifactId>pinyin4j</artifactId>
      <version>2.5.1</version>
    </dependency>
    <dependency>
      <groupId>com.googlecode.plist</groupId>
      <artifactId>dd-plist</artifactId>
      <version>1.23</version>
    </dependency>
    <dependency>
      <groupId>com.jcraft</groupId>
      <artifactId>jzlib</artifactId>
      <version>1.1.3</version>
    </dependency>
<!--    oracle-->
    <dependency>
      <groupId>com.oracle.database.jdbc</groupId>
      <artifactId>ojdbc6</artifactId>
      <version>11.2.0.4</version>
    </dependency>
<!--    mongodb-->
    <dependency>
      <groupId>org.mongodb</groupId>
      <artifactId>mongo-java-driver</artifactId>
      <version>3.2.2</version>
    </dependency>
<!--    使用sqlutils解析sql字符串用到-->
    <dependency>
      <groupId>com.alibaba</groupId>
      <artifactId>druid</artifactId>
      <version>1.2.5</version>
    </dependency>
    <dependency>
      <groupId>cn.hutool</groupId>
      <artifactId>hutool-all</artifactId>
      <version>5.7.16</version>
    </dependency>
    <dependency>
      <groupId>com.ibeetl</groupId>
      <artifactId>beetl</artifactId>
      <version>3.10.0.RELEASE</version>
    </dependency>
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
    </dependency>
<!--    NLP相关-->
    <dependency>
      <groupId>com.mayabot.mynlp</groupId>
      <artifactId>mynlp</artifactId>
      <version>3.2.1</version>
    </dependency>
    <dependency>
      <groupId>com.mayabot.mynlp.resource</groupId>
      <artifactId>mynlp-resource-coredict</artifactId>
      <version>1.0.0</version>
    </dependency>
    <dependency>
      <groupId>com.mayabot.mynlp.resource</groupId>
      <artifactId>mynlp-resource-pos</artifactId>
      <version>1.0.0</version>
    </dependency>
    <dependency>
      <groupId>com.mayabot.mynlp.resource</groupId>
      <artifactId>mynlp-resource-ner</artifactId>
      <version>1.0.0</version>
    </dependency>
    <dependency>
      <groupId>com.mayabot.mynlp.resource</groupId>
      <artifactId>mynlp-resource-cws</artifactId>
      <version>1.0.0</version>
    </dependency>
    <dependency>
      <groupId>com.mayabot.mynlp.resource</groupId>
      <artifactId>mynlp-resource-pinyin</artifactId>
      <version>1.1.0</version>
    </dependency>
    <dependency>
      <groupId>com.mayabot.mynlp.resource</groupId>
      <artifactId>mynlp-resource-transform</artifactId>
      <version>1.0.0</version>
    </dependency>
    <!-- JSch-->
    <dependency>
      <groupId>com.jcraft</groupId>
      <artifactId>jsch</artifactId>
      <version>0.1.54</version>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-websocket</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.ant</groupId>
      <artifactId>ant</artifactId>
      <version>1.10.5</version>
    </dependency>
  </dependencies>
</project>